package org.elsys.labs.jface;

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class JFaceExample {

	public static void main(String[] args) {
		Display display = new Display();
		Shell shell = new Shell(display);

		int[] array = new int[] { 100, 121, 144, 169, 196 };
		
		shell.setLayout(new FillLayout());
		TableViewer viewer = new TableViewer(shell);
		viewer.setLabelProvider(new NumbersLabelProvider());
		viewer.addFilter(new NumbersFilter());
		viewer.setContentProvider(new NumbersContentProvider());
		viewer.setComparator(new NumbersComparator());
		viewer.setInput(array);

		shell.open();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch())
				display.sleep();
		}
	}

}
